Subject: Re: bug#11541: 24.0.97; Crash when visiting file on OS X 10.7.3

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 May 2012 22:48:32 +0300

> Date: Thu, 31 May 2012 15:15:05 -0400
> From: Alp Aker <[email-masked]>
> Cc: "C. Florian Ebeling" <[email-masked]>, [email-masked], [email-masked]
> 
> >> #<font-spec ns nil Monaco nil iso10646-1 nil nil nil nil nil nil nil ((:script . symbol))>
> >>
> >> #<font-spec ns apple nil nil iso10646-1 nil nil nil nil nil nil nil ((:script . symbol))>
> >>
> >> I can't really tell which font_spec is acceptable, and which not, though.
> >>
> >> The crashing one has a third element of nil, is that ok or not?
> >
> > I have no idea.  Assuming I understand the data you presented, one
> > font (Monaco) is OK, but another (apple) is not?  That still makes no
> > sense to me.
> 
> Both those font specs look normal for the NS port.  In the last,
> "apple" is the foundry name, not the font family name.  And the nil
> value for font family is fine (what's being requested at that point is
> any family that covers the symbol script).

Thanks.  I think whatever causes the crash happens inside ns_findfonts
and the functions it calls.  Stepping through that code and looking
around for garbled variables should point out the guilty parties.